- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Properties

# QDoubleSpinBox Class Reference

Search for all occurrences

## Detailed Description

Definition at line 126 of file qspinbox.h.

`#include <qspinbox.h>`

Inheritance diagram for QDoubleSpinBox:
[legend]

List of all members.

## Public Slots
void | setValue (double val)
## Signals
void | valueChanged (double)
void | valueChanged (const QString &)
## Public Member Functions
| QDoubleSpinBox (QWidget *parent=0)
double | value () const
QString | prefix () const
void | setPrefix (const QString &prefix)
QString | suffix () const
void | setSuffix (const QString &suffix)
QString | cleanText () const
double | singleStep () const
void | setSingleStep (double val)
double | minimum () const
void | setMinimum (double min)
double | maximum () const
void | setMaximum (double max)
void | setRange (double min, double max)
int | decimals () const
void | setDecimals (int prec)
virtual QValidator::State | validate (QString &input, int &pos) const
virtual double | valueFromText (const QString &text) const
virtual QString | textFromValue (double val) const
virtual void | fixup (QString &str) const
## Properties
QString | prefix
QString | suffix
QString | cleanText
int | decimals
double | minimum
double | maximum
double | singleStep
double | value

## Constructor & Destructor Documentation

QDoubleSpinBox | ( | QWidget * | parent = `0` | ) | `[explicit]`

## Member Function Documentation

double value | ( |  | ) | const

Search for all occurrences

QString prefix | ( |  | ) | const

Search for all occurrences

void setPrefix | ( | const QString & | prefix | ) |

Search for all occurrences

QString suffix | ( |  | ) | const

Search for all occurrences

void setSuffix | ( | const QString & | suffix | ) |

Search for all occurrences

QString cleanText | ( |  | ) | const

Search for all occurrences

double singleStep | ( |  | ) | const

Search for all occurrences

void setSingleStep | ( | double | val | ) |

Search for all occurrences

double minimum | ( |  | ) | const

Search for all occurrences

void setMinimum | ( | double | min | ) |

Search for all occurrences

double maximum | ( |  | ) | const

Search for all occurrences

void setMaximum | ( | double | max | ) |

Search for all occurrences

void setRange | ( | double | min,
|  | double | max
| ) |  |

Search for all occurrences

int decimals | ( |  | ) | const

Search for all occurrences

void setDecimals | ( | int | prec | ) |

Search for all occurrences

virtual QValidator::State validate | ( | QString & | input,
|  | int & | pos
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractSpinBox.

virtual double valueFromText | ( | const QString & | text | ) | const `[virtual]`

Search for all occurrences

virtual QString textFromValue | ( | double | val | ) | const `[virtual]`

Search for all occurrences

virtual void fixup | ( | QString & | str | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QAbstractSpinBox.

void setValue | ( | double | val | ) | `[slot]`

Search for all occurrences

void valueChanged | ( | double |  | ) | `[signal]`

Search for all occurrences

void valueChanged | ( | const QString & |  | ) | `[signal]`

Search for all occurrences

## Property Documentation

QString prefix `[read, write]`

Search for all occurrences

Definition at line 130 of file qspinbox.h.

QString suffix `[read, write]`

Search for all occurrences

Definition at line 131 of file qspinbox.h.

QString cleanText `[read]`

Search for all occurrences

Definition at line 132 of file qspinbox.h.

int decimals `[read, write]`

Search for all occurrences

Definition at line 133 of file qspinbox.h.

double minimum `[read, write]`

Search for all occurrences

Definition at line 134 of file qspinbox.h.

double maximum `[read, write]`

Search for all occurrences

Definition at line 135 of file qspinbox.h.

double singleStep `[read, write]`

Search for all occurrences

Definition at line 136 of file qspinbox.h.

double value `[read, write]`

Search for all occurrences

Definition at line 137 of file qspinbox.h.

The documentation for this class was generated from the following file:

- QtGui/qspinbox.h

QDoubleSpinBox QDoubleSpinBox QDoubleSpinBox QDoubleSpinBox QDoubleSpinBox QDoubleSpinBox QDoubleSpinBox QDoubleSpinBox QDoubleSpinBox QDoubleSpinBox
QDoubleSpinBox QDoubleSpinBox QDoubleSpinBox QDoubleSpinBox QDoubleSpinBox QDoubleSpinBox QDoubleSpinBox QDoubleSpinBox QDoubleSpinBox QDoubleSpinBox